package com.hw.qms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 质检文件对象 qms_check_instance_file
 * 
 * @author xins
 * @date 2024-01-23
 */
public class QmsCheckInstanceFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识 */
    private Long checkInstanceFileId;

    /** 关联类型(1质检工单实例) */
    @Excel(name = "关联类型(1质检工单实例)")
    private String targetType;

    /** 关联类型为1时关联质检工单实例ID */
    @Excel(name = "关联类型为1时关联质检工单实例ID")
    private Long targetId;

    /** 故障文件地址，一般是图片 */
    @Excel(name = "故障文件地址，一般是图片")
    private String faultFile;

    public void setCheckInstanceFileId(Long checkInstanceFileId) 
    {
        this.checkInstanceFileId = checkInstanceFileId;
    }

    public Long getCheckInstanceFileId() 
    {
        return checkInstanceFileId;
    }
    public void setTargetType(String targetType) 
    {
        this.targetType = targetType;
    }

    public String getTargetType() 
    {
        return targetType;
    }
    public void setTargetId(Long targetId) 
    {
        this.targetId = targetId;
    }

    public Long getTargetId() 
    {
        return targetId;
    }
    public void setFaultFile(String faultFile) 
    {
        this.faultFile = faultFile;
    }

    public String getFaultFile() 
    {
        return faultFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkInstanceFileId", getCheckInstanceFileId())
            .append("targetType", getTargetType())
            .append("targetId", getTargetId())
            .append("faultFile", getFaultFile())
            .toString();
    }
}
